# Reset-RASTOTPUsers

### NAME

Reset-RASTOTPUsers\ <br>

### SYNOPSIS

Reset TOTP authentication for all or specific users.\ <br>

### SYNTAX

Reset-RASTOTPUsers \[-[AllUsers](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Reset-RASTOTPUsers.html#AllUsers) *\<SwitchParameter>*] \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Reset-RASTOTPUsers.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Reset-RASTOTPUsers.html#CommonParameters)*>*]\
\
Reset-RASTOTPUsers -[Users](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Reset-RASTOTPUsers.html#Users) *\<string\[]>* \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Reset-RASTOTPUsers.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Reset-RASTOTPUsers.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Reset TOTP authentication for all or specific users.\ <br>

### PARAMETERS

\
-**Users \<string\[]>**\
List of users for which to reset Google Authentication.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID where the users need to be reset.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AllUsers \<SwitchParameter>**\
When present, TOTP users will be reset.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                False
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Reset-RASTOTPUsers -Users "<user1@domain.com>", "<user2@domain.com>"\
\
Reset TOTP authentication for user1 and user2 on current site.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Reset-RASTOTPUsers -Users "<user1@domain.com>", "<user2@domain.com>" -SiteID 2\
\
Reset TOTP authentication for user1 and user2 on site '2'.\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
Reset-RASTOTPUsers -AllUsers\
\
Reset TOTP authentication for all users on current site\
\&#xNAN;**---------- EXAMPLE 4 ----------**\
\
Reset-RASTOTPUsers -AllUsers -SiteID 2\
\
Reset TOTP authentication for all users on site '2'.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/reset-rastotpusers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
